#!/usr/bin/env python

from dm.common.cli.dmCli import DmCli
from dm.common.utility.configurationManager import ConfigurationManager

class DmRestCli(DmCli):
    """ Base dm REST cli class. """

    def __init__(self, validArgCount=0):
        DmCli.__init__(self, validArgCount)

    def getDefaultServiceProtocol(self):
        return ConfigurationManager.getInstance().getWebServiceProtocol()

